Get all actions
cURL
curl --request GET \ --url https://{hostname}.gable.ai/v0/actions \ --header 'X-API-KEY: <api-key>'
{ "actions": [ { "actionId": "<string>", "name": "email on pricing asset change", "isActive": true, "triggers": [ { "triggerType": "source", "triggerValues": [ "<string>" ] } ], "destinations": [ { "destinationType": "slack", "slackChannelIds": [ "<string>" ] } ], "ownerName": "<string>" } ] }
Successful operation
Show child attributes
The unique identifier of the created action
The name of the action
"email on pricing asset change"
Whether the action is active
true
1
The type of trigger
source
List of data asset sources, any of which need to match an event to trigger an action
The type of destination
slack
List of slack channels IDs to notify when the action is triggered
The name of the user who created the action